Articles of dart

cómo implementar la aplicación web directamente desde la twig principal de git

Con fines educativos, estoy escribiendo una instancia de server en GCE (motor de cálculo de Google) para servir algunas aplicaciones web principalmente (para ser) escritas en Dart and Polymer. Mi flujo de trabajo es que, cuando mis alumnos inicien session en el server anterior, automáticamente bifurquen esas aplicaciones web en sus propios loggings en sus […]

Cómo enviar files a GitHub usando Dart

Tengo un proyecto del lado del server Dart que me gustaría mantener en GitHub. Experimentado brevemente con los 2 packages de pub "git" y "github". También se consideró usar Process.Run para los commands de lote típicos: cd project_directory git init git add . git commit -m "your_commit_message" git remote add origin https://github.com/[your_user_name]/[repo_name] git push origin […]

Ejecutar Pub Install ha encontrado un error?

El siguiente ejemplo es el problema que comencé a enfrentar repentinamente durante la installation del pub. Por favor, ayúdenme ya que necesito actualizar las dependencies para asegurarme de que la aplicación comience a funcionar con mi sql. Cualquier ayuda es apreciada.

DART: ¿Cómo configurar a Gerrit / Jenkins?

para configurar un check-in cerrado, nos gustaría usar Gerrit y Jenkins. Tenemos experiencia sobre cómo hacer esto con JavaScript, pero Dart es completamente nuevo para nosotros. Hasta el momento no he visto un plugin de dardos para Jenkins para compilation central y activar las comprobaciones de código. ¿Cómo configuraron los sistemas para permitir tanto las […]

Diferencias entre DartEditor y Dart plugin para Eclipse

Desarrollé un proyecto de dardos / polymers con el DartEditor. Debido a que DartEditor no tiene soporte para Git, me mudé a Eclipse e instalé el complemento Dart. Ahora, de repente, recibo nuevos errores, no entré en el Editor de Dart y me pregunto cuál sería la diferencia. Las versiones Dart-SDK y Dartium son exactamente […]

La dependencia del package Dart al subdirectory de git repo

Tengo un par de pequeños proyectos de demostración de dardos juntos en un repository git. Por lo tanto, cada proyecto está en una subcarpeta del repository y los files yaml de cada uno de estos proyectos están en la carpeta correspondiente, no debajo de la raíz del repository. ¿Hay alguna forma de especificar una dependencia […]

pub get arroja un error de búsqueda de git cuando trata de get dependencies

Este es el error recibido: C:\code\workspace\test_app_polymer>pub get Resolving dependencies… Git error. Command: git fetch fatal: Not a git repository (or any of the parent directories): .git Parece que lo que sea que esté viendo, en ese punto no es un git repo. El command que utilicé para clonar mi repos fue, con un nombre de […]

Cómo get un pub de GitHub como una dependencia

Estoy aprendiendo Dart, pero encontré un problema: Quiero agregar el package widget.dart de su repository de GitHub como una dependencia para mi proyecto. Pero en pub.dartlang.org hay una versión muy antigua, que requiere la interfaz de usuario web obsoleta. ¿Alguien sabe cómo conseguir el pub del repository de GitHub (e instalarlo como el de pub.dartlang.org)? […]